# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::SubbandByteIO Class Reference

Subband Dirac-bytestream input/output.

`#include <subband_byteio.h>`

Inheritance diagram for dirac::SubbandByteIO:

[legend]
Collaboration diagram for dirac::SubbandByteIO:

[legend]

List of all members.

## Public Member Functions

- SubbandByteIO (Subband &sub_band, const ByteIO &byteio)
    Constructor.
- SubbandByteIO (Subband &sub_band)
- ~SubbandByteIO ()
    Destructor.
- bool Input ()
    Inputs data from Dirac stream-format.
- int GetBandDataLength () const
    Gets number of bytes in Arith-coded data block.
- const std::string GetBytes ()
    Gets subband bytes in Dirac-bytestream format.

## Private Attributes

- Subband & m_subband
    Sub-band that is inputed/outputed.
- int m_band_data_length
    Number of bytes in arith-coded data block.

## Constructor & Destructor Documentation

dirac::SubbandByteIO::SubbandByteIO | ( | Subband & | sub_band,
|  | const ByteIO & | byteio |
| ) |  |  |

Parameters:

  | sub_band | Corresponding Subband
  | byteio | Source/Destination of data

dirac::SubbandByteIO::SubbandByteIO | ( | Subband & | sub_band | ) |

dirac::SubbandByteIO::~SubbandByteIO | ( |  | ) |

## Member Function Documentation

bool dirac::SubbandByteIO::Input | ( |  | ) |

int dirac::SubbandByteIO::GetBandDataLength | ( |  | ) | const

const std::string dirac::SubbandByteIO::GetBytes | ( |  | ) | `[virtual]`

Reimplemented from dirac::ByteIO.

## Member Data Documentation

Subband& dirac::SubbandByteIO::m_subband `[private]`

int dirac::SubbandByteIO::m_band_data_length `[private]`

The documentation for this class was generated from the following file:

- subband_byteio.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.